package com.greengt.sylvain.ggt;

public class CAN_Demo extends Thread {

    //1Hz channels
//H2 press byte order! LH !
    int H2pressDemo [] = {1604,1600,1596,1591,1593,1590,1589,1587,1587,1585,1584,1582,1580,1578,1574,1569,1565,1561,1560,1560,1558,1557,1554,1550,1545,1542,1538,1539,1534,1533,1531,1529,1524,1520,1516,1512,1510,1509,1508,1508,1504,1500,1497,1496,1492,1490,1486,1483,1481,1477,1473,1470,1471,1468,1467,1463};
    int waterInTempDemo [] = {579,579,579,580,580,581,581,580,580,581,581,580,580,580,580,580,582,587,590,592,592,594,595,593,594,594,595,598,600,603,605,605,606,606,606,604,606,607,606,608,608,606,604,603,602,603,603,600,600,599,600,600,600,602,603,603};
    int waterOutTempDemo [] = {567,566,565,565,566,568,570,570,571,571,573,574,575,574,573,574,577,580,583,583,582,583,583,583,583,584,584,587,590,590,590,591,591,591,590,590,590,590,590,590,589,588,587,586,586,587,586,586,584,582,581,581,583,583,585,587};
    int oilInTemoDemo[] = {517,518,518,518,518,518,518,518,518,518,518,518,518,518,518,518,517,517,517,517,57,518,518,519,520,521,521,522,522,523,523,524,524,526,527,528,529,530,530,530,531,531,532,532,533,532,532,532,532,532,531,531,531,530,530,530};
    int oilOutTempDemo [] = {444,444,443,444,444,444,444,444,445,445,446,447,447,448,449,450,450,451,450,450,449,448,448,448,448,449,450,451,452,452,453,453,454,454,454,454,455,456,457,457,458,457,457,458,457,458,458,459,458,457,457,457,456,456,456,456};
//10Hz channels
    int batSOCDemo [] = {677,677,677,678,678,677,677,677,677,678,678,679,680,681,682,683,683,684,685,686,687,687,688,688,688,689,688,687,686,685,686,687,689,691,692,693,694,695,696,697,698,699,700,701,702,703,703,704,705,705,706,706,706,706,706,706,706,
            705,705,704,703,703,702,702,701,701,700,700,700,700,700,701,701,703,704,705,706,707,708,709,710,711,712,713,715,716,717,719,720,721,722,723,724,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,741,742,743,743,743,
            744,743,743,742,741,741,740,739,738,737,735,734,732,730,729,727,725,723,721,719,718,716,714,712,711,709,707,706,704,702,702,701,701,701,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,715,716,716,716,715,713,712,710,
            709,708,706,705,704,704,706,708,709,710,711,712,712,713,714,715,716,717,718,719,720,720,721,721,721,722,722,722,722,722,722,722,722,722,722,722,721,721,720,720,719,719,718,717,717,716,715,714,714,713,712,711,711,710,710,709,708,
            707,706,705,704,703,702,701,700,699,698,696,695,693,692,691,689,688,686,685,684,682,681,680,678,677,675,674,672,671,670,669,667,666,665,663,662,660,659,658,656,655,654,652,651,649,648,647,645,644,642,641,640,638,637,635,634,632,
            631,629,628,626,624,623,621,620,618,617,615,614,612,611,609,608,606,605,603,602,601,599,598,596,595,593,592,591,589,588,587,585,584,583,582,580,579,578,577,575,574,573,572,571,569,568,567,566,564,563,562,560,559,558,557,555,554,
            553,552,550,549,548,546,545,544,543,541,540,539,537,536,535,534,532,531,530,528,527,526,524,523,521,523,525,526,528,529,531,532,533,535,536,537,538,539,540,541,542,543,544,545,546,546,547,548,548,549,549,549,549,549,549,549,548,
            548,548,548,547,547,546,546,544,543,542,541,540,538,537,536,535,534,534,535,537,539,541,542,544,545,547,548,550,552,553,555,557,559,560,562,564,565,567,569,570,572,573,575,576,577,578,580,581,583,584,586,587,588,590,591,592,593,
            594,595,595,596,596,597,598,598,599,599,599,599,598,598,598,597,597,597,596,596,596,595,595,594,594,594,593,593,592,592,591,591,590,590,589,589,589,588,588,587,586,585,583,582,581,580,578,577,576,574,573,572,570,569,568,567,569,
            571,572,573,574,575,576,578,579,580,581,582,583,584,585,587,587,588,589,589,590,590,590,590,590,590,590,589,589,589,588,587,587,586,585,583,582,583,583,584,585,587};
    int pwtPowerDemo [] = {156,181,189,190,215,215,167,134,124,112,112,124,117,114,125,115,125,111,131,130,160,169,198,214,252,265,270,298,131,33,2,0,0,0,0,0,0,1,0,-1,0,10,24,36,40,57,50,72,78,80,94,73,80,86,88,110,97,119,91,110,99,108,86,107,93,96,80,72,
            91,31,3,0,0,1,-1,0,0,0,1,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,35,59,63,101,120,143,147,143,144,137,153,171,163,190,187,212,214,212,239,203,207,208,251,227,230,228,257,237,243,284,311,287,276,178,159,161,154,
            140,98,97,87,101,87,85,102,96,82,96,91,94,111,136,155,150,184,186,232,323,298,274,293,322,290,283,312,154,17,0,0,0,0,1,0,0,-1,0,0,12,16,34,41,41,65,71,81,72,87,78,55,69,71,54,53,53,78,90,84,88,84,110,128,123,134,119,135,127,150,127,136,
            152,130,160,171,209,209,223,198,204,213,258,239,236,233,272,259,298,305,291,299,315,272,297,307,309,296,263,307,273,261,259,268,307,274,301,303,289,303,267,293,281,263,253,266,288,256,271,266,246,233,232,236,264,232,254,228,244,237,228,238,
            241,201,224,202,218,214,221,216,205,199,206,206,184,184,177,193,177,177,194,186,172,178,176,184,192,199,192,174,196,209,190,210,191,211,227,218,218,218,238,246,227,218,259,232,249,267,269,272,288,286,260,273,265,290,279,257,248,251,272,292,257,
            273,260,284,266,254,245,242,243,262,279,251,252,252,254,234,253,255,245,225,220,218,220,223,240,241,229,32,0,1,0,-1,2,3,3,0,0,0,-1,1,1,1,0,0,0,-1,0,-1,1,13,36,33,22,36,35,56,77,70,69,86,91,91,83,86,109,153,171,181,204,225,208,210,249,238,262,275,
            300,61,3,0,0,0,0,0,1,1,1,0,1,1,0,-1,3,2,2,0,1,1,28,37,31,26,26,47,55,49,45,22,15,24,25,54,67,54,62,78,75,74,89,124,126,112,98,118,142,143,148,175,159,186,187,210,176,199,195,193,152,175,177,183,168,168,191,179,165,195,191,206,195,194,178,190,190,
            198,180,186,185,215,250,271,246,254,237,237,258,241,254,268,270,261,294,52,0,1,0,0,0,0,0,1,0,0,0,0,2,2,27,41,63,67,78,101,88,112,95,101,99,76,100,105,112,124,151,159,154,173,170,176,139,94,73,69,59,45,30,29};
    int batPowerDemo [] = {27,23,23,12,10,-19,-25,-9,-6,47,76,79,73,71,71,71,72,72,73,73,73,60,57,25,19,19,-65,-76,-93,-100,84,122,174,180,97,82,83,83,86,87,89,90,93,94,83,68,65,56,55,46,45,35,33,-1,-8,-21,-23,-42,-46,-50,-51,-46,-46,-48,-41,-39,-39,-14,
            -10,-4,-3,39,48,108,120,107,92,90,92,93,93,95,99,100,118,121,120,120,117,97,93,93,98,115,118,96,91,89,89,90,90,86,87,87,88,88,88,85,84,83,82,48,42,20,15,-22,-53,-57,-62,-63,-63,-78,-93,-96,-114,-116,-141,-143,-150,-151,-149,-149,-151,-152,-149,-159,-160,
            -133,-130,-130,-129,-129,-137,-140,-57,-44,-44,3,11,67,79,79,79,81,85,86,91,91,91,91,89,89,75,72,34,28,-4,-98,-112,-117,-117,-117,-117,-120,-121,-42,-30,144,177,99,84,79,79,81,81,84,84,84,86,86,69,66,51,48,34,31,10,6,-1,10,12,12,5,3,-6,-8,-19,-28,-29,-38,
            -39,-50,-52,-59,-60,-58,-64,-65,-67,-67,-74,-76,-33,-26,-54,-59,-59,-75,-79,-65,-84,-87,-91,-91,-91,-91,-100,-100,-114,-116,-115,-115,-116,-116,-117,-117,-110,-109,-111,-110,-112,-113,-112,-112,-122,-124,-108,-104,-107,-108,-108,-108,-113,-113,-112,-112,-112,
            -111,-110,-112,-112,-114,-114,-114,-113,-114,-114,-112,-112,-111,-110,-117,-117,-117,-124,-126,-126,-127,-128,-124,-123,-121,-120,-120,-122,-122,-119,-116,-115,-118,-118,-118,-118,-118,-115,-114,-114,-114,-117,-117,-117,-117,-103,-101,-101,-98,-102,-102,-104,
            -104,-95,-93,-98,-99,-100,-100,-96,-95,-97,-98,-100,-99,-99,-100,-100,-104,-103,-103,-101,-101,-101,-101,-99,-99,-99,-99,-98,-100,-100,-101,-101,-101,-101,-101,-101,-104,-105,-102,-101,-102,-102,-104,-104,-107,-108,-110,-120,99,138,135,135,129,127,116,114,114,
            108,107,95,84,83,84,84,84,84,66,62,62,57,56,56,26,24,25,-1,-5,-5,-24,-27,-22,-18,-17,-26,-27,-57,-61,-89,-93,-103,-106,-89,-86,-91,-92,-97,-99,38,68,152,165,136,132,136,137,141,143,143,143,145,149,150,151,151,153,153,155,155,138,134,130,130,135,135,96,89,111,
            116,133,137,138,137,111,106,102,101,85,82,73,71,49,45,50,51,38,36,10,5,5,-24,-29,-31,-31,-29,-29,-24,-23,-29,-31,-43,-45,-30,-27,-30,-31,-33,-33,-48,-51,-42,-41,-31,-29,-32,-33,-53,-56,-83,-87,-101,-104,-104,-105,-106,-99,-105,-106,-106,-105,-105,-91,-97,136,
            176,112,99,91,90,92,93,96,97,97,100,102,101,96,94,77,74,45,39,30,28,15,13,-7,-11,-20,-21,-21,-37,-39,-57,-60,-83,-86,-102,-108,35,62,78,81,107,112};
    int fcsPowerDemo [] = {169,177,187,196,197,204,209,214,211,214,219,222,224,227,228,229,233,233,233,233,232,232,232,232,231,231,231,233,232,232,231,224,231,221,208,193,197,185,170,157,135,121,110,103,90,89,94,100,101,104,106,107,120,120,117,114,117,113,
            107,100,94,87,81,79,80,82,85,87,89,94,98,103,107,109,111,112,114,115,113,113,107,106,108,111,101,99,100,101,109,112,115,119,116,117,116,113,116,113,111,110,107,107,106,104,100,97,95,94,93,93,92,91,91,90,90,89,91,91,90,90,91,90,89,
            89,90,90,91,92,93,95,98,102,104,107,111,118,122,131,139,150,151,158,166,176,180,187,195,204,206,209,211,212,220,222,223,223,220,220,221,223,217,216,217,219,224,228,230,231,233,233,232,232,231,230,230,230,232,226,216,205,222,211,195,
            180,163,149,135,121,102,93,91,92,86,88,93,95,107,108,108,108,113,113,108,102,99,93,85,79,77,77,77,77,76,78,80,83,85,88,91,94,97,104,113,122,124,131,139,148,154,164,174,182,186,194,201,208,204,209,214,217,223,226,228,228,232,234,234,
            233,232,231,230,230,230,231,231,231,232,232,232,231,234,233,230,228,232,228,223,217,214,208,202,196,188,182,177,172,168,163,160,156,157,151,145,140,139,134,128,121,117,111,108,102,99,97,97,95,95,94,94,94,93,93,93,95,96,97,99,101,101,
            104,108,112,115,120,125,132,136,142,149,156,162,168,175,182,184,190,195,202,199,203,209,214,213,216,219,221,228,229,231,231,232,233,231,231,230,228,228,227,225,225,228,226,224,221,222,218,212,206,207,203,198,192,184,178,173,168,165,
            162,159,157,154,149,144,140,133,131,127,122,116,111,106,103,105,103,99,94,90,86,81,79,78,77,75,73,72,71,71,71,74,76,78,80,83,89,94,100,105,112,119,128,134,142,154,166,166,173,183,190,190,190,191,189,203,199,194,188,177,172,167,162,148,
            147,149,150,157,161,165,168,168,169,171,171,175,176,176,177,183,184,184,184,186,188,188,188,182,182,184,186,188,191,193,193,195,196,196,196,197,197,197,195,194,192,192,192,191,190,190,190,189,189,188,188,189,188,188,188,187,187,186,185,
            187,187,187,187,187,187,188,188,189,189,191,191,193,195,196,197,196,197,199,201,201,199,193,187,190,182,173,163,159,149,139,132,116,110,107,110,103,106,110,115,124,129,134,135,140,139,135,130,135,129,124,120,116,112,110,106,108,115,122,
            131,132,136,143,148};
    int throttleDemo [] = {50,57,57,60,55,41,37,28,27,27,29,29,30,29,29,29,29,31,38,43,48,56,69,88,99,100,77,35,4,0,0,0,0,0,0,0,0,0,0,0,3,5,8,12,14,18,22,24,28,32,30,29,35,41,50,52,51,49,48,49,50,46,45,44,35,31,31,31,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,8,19,28,38,49,51,50,49,54,58,59,63,64,73,76,86,98,100,100,100,100,100,100,100,100,100,100,100,100,100,100,92,77,48,44,44,40,28,24,22,20,20,20,20,20,20,21,22,24,24,25,32,39,45,48,59,77,95,100,100,100,100
            ,100,100,85,30,3,0,0,0,0,0,0,0,0,0,0,3,5,8,10,13,19,25,28,26,27,25,22,21,21,21,23,25,33,33,34,43,46,51,54,52,58,59,57,64,61,61,62,67,58,62,60,70,68,75,74,72,74,80,83,82,84,86,86,94,99,100,100,100,100,100,100,100,100,100,100,100,100,100,100,
            100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,
            100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,97,14,0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,0,9,13,10,8,10,16,26,34,38,39,37,35,38,41,42,51,71,88,99,100,100,100,100,100,100,100,100,97,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,7,5,4,6,14,14,9,6,3,3,4,6,11,13,13,14,17,21,24,29,35,32,31,32,35,39,47,49,52,53,60,60,
            62,61,60,58,58,50,59,63,66,61,59,60,60,60,62,65,69,66,63,65,61,61,62,63,70,73,96,100,100,100,100,100,97,99,100,100,100,100,100,99,15,0,0,0,0,0,0,0,0,0,0,0,0,0,2,6,15,16,19,28,32,34,36,36,35,33,34,40,46,49,57,62,62,71,81,87,84,57,28,16,15,12,6,
            5,6,6};
    int brakeStateDemo [] = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,2,14,22,23,22,20,20,18,17,16,13,7,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,21,33,34,32,33,32,34,33,34,34,36,38,39,39,38,38,38,39,38,38,37,36,33,31,30,30,29
            ,26,22,19,17,14,11,8,5,4,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,6,7,6,6,5,4,4,3,3,2,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,28,29,29,29,29,29,27,26,23,21,18,15,15,14,11,9,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,11,15,18,19,17,15,13,12,11,11,11,
            10,9,7,7,6,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,33,46,49,46,39,31,25,20,16,12,9,7,4,1,0,0,0,0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
    int speedDemo [] = {139,139,139,140,141,141,142,143,143,144,144,145,145,145,146,146,146,147,148,148,148,148,148,148,148,148,148,147,147,147,147,148,147,146,145,144,142,141,139,138,136,134,133,132,132,132,132,132,131,131,131,132,132,132,132,132,132,132,132,
            132,132,132,132,132,133,132,133,133,134,134,134,134,133,131,128,127,124,121,118,116,113,110,108,106,103,100,97,93,90,88,85,83,80,78,75,74,72,70,68,66,64,63,62,61,61,60,59,59,58,58,58,58,58,58,59,59,61,62,63,64,65,66,67,69,70,71,73,74,76,78,79,81,82,83,85,85,86,87,89,91,
            93,95,97,98,99,100,101,102,102,103,103,103,103,103,103,103,104,104,104,104,104,105,105,105,106,106,107,109,110,112,113,115,116,118,120,121,122,122,122,121,120,119,118,117,116,116,115,115,114,114,114,114,114,114,114,113,114,114,114,114,114,114,115,115,115,115,114,114,
            114,113,114,114,115,116,116,117,116,116,115,116,116,117,117,117,118,119,120,120,121,121,122,122,123,124,125,126,127,128,130,131,132,133,133,134,134,135,136,137,138,138,139,141,142,144,145,146,148,150,151,152,154,155,156,156,157,158,159,160,160,160,161,162,163,164,165,
            165,165,165,166,166,168,169,169,170,170,170,171,171,171,171,171,172,172,172,173,176,175,177,177,178,178,178,179,180,180,180,181,181,181,182,183,183,183,184,184,185,186,186,187,187,188,188,189,190,190,191,191,192,193,193,194,195,195,196,197,198,198,199,199,200,200,201,
            202,202,203,204,204,205,205,206,206,207,207,208,208,208,209,209,210,210,210,211,211,212,212,212,212,211,208,206,204,201,200,197,196,195,194,192,190,188,186,185,183,181,180,179,179,178,178,177,177,177,177,177,177,177,176,176,175,175,174,174,174,174,173,173,173,173,173,
            174,174,175,176,176,177,178,179,179,178,177,176,174,172,170,169,167,166,164,163,162,161,160,159,158,157,156,155,154,154,154,154,154,153,152,152,151,151,151,151,150,150,150,151,150,150,150,149,149,148,148,150,150,150,150,150,151,151,152,152,152,152,152,153,154,154,155,
            155,155,155,156,156,156,156,157,157,157,157,157,158,158,159,160,160,160,160,160,161,161,162,162,163,163,164,165,165,166,166,167,168,168,168,168,166,163,160,156,152,149,145,142,141,139,139,138,137,137,137,137,138,138,137,138,138,139,139,139,138,138,138,138,139,139,139,
            139,140,140,140,141,142,143,143,143,143,142};

    int cpt = 0;

    @Override
    public void run() {
        super.run();
        cpt = cpt >= 554 ? 0 : cpt+1;
        try {
            Thread.sleep(100);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }

    }

    public int getH2pressDemo() {
        return H2pressDemo[cpt/10];
    }

    public int getWaterInTempDemo() {
        return waterInTempDemo[cpt/10];
    }

    public int getWaterOutTempDemo() {
        return waterOutTempDemo[cpt/10];
    }

    public int getOilInTemoDemo() {
        return oilInTemoDemo[cpt];
    }

    public int getOilOutTempDemo() {
        return oilOutTempDemo[cpt/10];
    }

    public int getBatSOCDemo() {
        return batSOCDemo[cpt];
    }

    public int getPwtPowerDemo() {
        return pwtPowerDemo[cpt];
    }

    public int getBatPowerDemo() {
        return batPowerDemo[cpt];
    }

    public int getFcsPowerDemo() {
        return fcsPowerDemo[cpt];
    }

    public int getThrottleDemo() {
        return throttleDemo[cpt];
    }

    public int getBrakeStateDemo() {
        return brakeStateDemo[cpt];
    }

    public int getSpeedDemo() {
        return speedDemo[cpt];
    }
}
